Support installing server-generated debian packages

Bug #509752 reported by Free Ekanayaka on 2010-01-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Landscape Client
Medium
Free Ekanayaka
landscape-client (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

As part of the package-profile feature, we need to enhance the package
changer to handle requests for installing server-generated Debian
packages, like the profile packages.

 affects landscape-client
 status inprogress
 importance medium
 assignee free.ekanayaka
 milestone 1.4.4

Changed in landscape-client:
status: In Progress → Fix Committed
tags: added: needs-testing
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.10.04

---------------
landscape-client (1.4.4-0ubuntu0.10.04) lucid; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:50:53 +0100

Changed in landscape-client (Ubuntu):
status: New → Fix Released

Accepted landscape-client into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Intrepid):
status: New → Fix Committed
tags: added: verification-needed
Changed in landscape-client (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in landscape-client (Ubuntu Karmic):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted landscape-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Andreas Hasenack (ahasenack) wrote :

Confirmed in staging.

tags: removed: needs-testing
Changed in landscape-client:
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Released → Fix Committed
Jamu Kakar (jkakar) on 2010-03-19
tags: added: 1.5-profiles-conformance-client
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.9.10

---------------
landscape-client (1.4.4-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:49:25 +0100

Changed in landscape-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.9.04

---------------
landscape-client (1.4.4-0ubuntu0.9.04) jaunty-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:41:52 +0100

Changed in landscape-client (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 1.4.4-0ubuntu0.8.10

---------------
landscape-client (1.4.4-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream release (LP: #519200):
    - Add a message for creating package locks (LP: #514334)
    - Add support for auto-approved change-packages messages (LP: #517175)
    - Add support for installing server-generated debian packages (LP: #509752)
    - Add support for reporting Eucalyptus topology information (LP: #518501)
    - Fix timeout while inserting large free-space message (LP: #218388)
    - Fix wrong log path in motd (LP: #517454)
    - Fix race condition in process excecution (LP: #517453)
 -- Free Ekanayaka <email address hidden> Wed, 10 Feb 2010 18:40:45 +0100

Changed in landscape-client (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Changed in landscape-client:
status: Fix Committed → Fix Released
tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers